# Uses of Enum Class
org.bukkit.entity.AbstractArrow.PickupRule

Packages that use AbstractArrow.PickupRule
Package
Description
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of AbstractArrow.PickupRule in org.bukkit.entity

Methods in org.bukkit.entity that return AbstractArrow.PickupRule
Modifier and Type
Method
Description
`default AbstractArrow.PickupRule`
AbstractArrow.`getPickupRule()`
Deprecated.
Use `AbstractArrow.getPickupStatus()` as an upstream compatible replacement for this function
`static AbstractArrow.PickupRule`
AbstractArrow.PickupRule.`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static AbstractArrow.PickupRule[]`
AbstractArrow.PickupRule.`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.entity with parameters of type AbstractArrow.PickupRule
Modifier and Type
Method
Description
`default void`
AbstractArrow.`setPickupRule(AbstractArrow.PickupRule rule)`
Deprecated.
Use `AbstractArrow.setPickupStatus(PickupStatus)` with `AbstractArrow.PickupStatus` as an upstream compatible replacement for this function